Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -2465,6 +2394,6 @@
        CASE ( 'after_integration' )
 !
-!--       Call at the end of timestep routine to save particle velocities fields
-!--       for the next timestep
+!--       Call at the end of timestep routine to save particle velocities fields for the next
+!--       timestep
           CALL lpm_swap_timelevel_for_particle_advection
 
@@ -2475,12 +2404,12 @@
 
  END SUBROUTINE lpm_actions
- 
+
 
 #if defined( __parallel )
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE particles_from_parent_to_child
 
@@ -2492,10 +2421,10 @@
  END SUBROUTINE particles_from_parent_to_child
 
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE particles_from_child_to_parent
 
@@ -2507,10 +2436,10 @@
  END SUBROUTINE particles_from_child_to_parent
 #endif
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> This routine write exchange statistics of the lpm in a ascii file. 
-!------------------------------------------------------------------------------!
+!> This routine write exchange statistics of the lpm in a ascii file.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_write_exchange_statistics
 
@@ -2526,6 +2455,5 @@
        DO  jp = nys, nyn
           DO  kp = nzb+1, nzt
-             number_of_particles = number_of_particles                         &
-                                     + prt_count(kp,jp,ip)
+             number_of_particles = number_of_particles + prt_count(kp,jp,ip)
           ENDDO
        ENDDO
@@ -2534,24 +2462,21 @@
     CALL check_open( 80 )
 #if defined( __parallel )
-    WRITE ( 80, 8000 )  current_timestep_number+1, simulated_time+dt_3d, &
-                        number_of_particles, pleft, trlp_count_sum,      &
-                        trlp_count_recv_sum, pright, trrp_count_sum,     &
-                        trrp_count_recv_sum, psouth, trsp_count_sum,     &
-                        trsp_count_recv_sum, pnorth, trnp_count_sum,     &
-                        trnp_count_recv_sum
+    WRITE ( 80, 8000 )  current_timestep_number+1, simulated_time+dt_3d, number_of_particles,      &
+                        pleft, trlp_count_sum, trlp_count_recv_sum, pright, trrp_count_sum,        &
+                        trrp_count_recv_sum, psouth, trsp_count_sum, trsp_count_recv_sum, pnorth,  &
+                        trnp_count_sum, trnp_count_recv_sum
 #else
-    WRITE ( 80, 8000 )  current_timestep_number+1, simulated_time+dt_3d, &
-                        number_of_particles
+    WRITE ( 80, 8000 )  current_timestep_number+1, simulated_time+dt_3d, number_of_particles
 #endif
     CALL close_file( 80 )
 
     IF ( number_of_particles > 0 )  THEN
-        WRITE(9,*) 'number_of_particles ', number_of_particles,                &
-                    current_timestep_number + 1, simulated_time + dt_3d
+        WRITE(9,*) 'number_of_particles ', number_of_particles, current_timestep_number + 1,       &
+                   simulated_time + dt_3d
     ENDIF
 
 #if defined( __parallel )
-    CALL MPI_ALLREDUCE( number_of_particles, tot_number_of_particles, 1,       &
-                        MPI_INTEGER, MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( number_of_particles, tot_number_of_particles, 1, MPI_INTEGER, MPI_SUM,     &
+                        comm2d, ierr )
 #else
     tot_number_of_particles = number_of_particles
@@ -2560,6 +2485,5 @@
 #if defined( __parallel )
     IF ( nested_run )  THEN
-       CALL pmcp_g_print_number_of_particles( simulated_time+dt_3d,            &
-                                              tot_number_of_particles)
+       CALL pmcp_g_print_number_of_particles( simulated_time + dt_3d, tot_number_of_particles)
     ENDIF
 #endif
@@ -2571,13 +2495,13 @@
 
  END SUBROUTINE lpm_write_exchange_statistics
- 
-
-!------------------------------------------------------------------------------! 
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Write particle data in FORTRAN binary and/or netCDF format 
-!------------------------------------------------------------------------------!
+!> Write particle data in FORTRAN binary and/or netCDF format
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_data_output_particles
- 
+
     INTEGER(iwp) ::  ip !<
     INTEGER(iwp) ::  jp !<
@@ -2587,6 +2511,6 @@
 
 !
-!-- Attention: change version number for unit 85 (in routine check_open)
-!--            whenever the output format for this unit is changed!
+!-- Attention: change version number for unit 85 (in routine check_open) whenever the output format
+!--            for this unit is changed!
     CALL check_open( 85 )
 
@@ -2612,14 +2536,14 @@
 ! !-- Output in netCDF format
 !     CALL check_open( 108 )
-! 
+!
 ! !
 ! !-- Update the NetCDF time axis
 !     prt_time_count = prt_time_count + 1
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_time_prt, &
 !                             (/ simulated_time /),        &
 !                             start = (/ prt_time_count /), count = (/ 1 /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 1 )
-! 
+!
 ! !
 ! !-- Output the real number of particles used
@@ -2628,5 +2552,5 @@
 !                             start = (/ prt_time_count /), count = (/ 1 /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 2 )
-! 
+!
 ! !
 ! !-- Output all particle attributes
@@ -2635,45 +2559,45 @@
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 3 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(2), particles%user,     &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 4 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(3), particles%origin_x, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 5 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(4), particles%origin_y, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 6 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(5), particles%origin_z, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 7 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(6), particles%radius,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 8 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(7), particles%speed_x,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 9 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(8), particles%speed_y,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 10 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(9), particles%speed_z,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 11 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt,id_var_prt(10),                     &
 !                             particles%weight_factor,                       &
@@ -2681,30 +2605,30 @@
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 12 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 13 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(12), particles%y,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 14 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(13), particles%z,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 15 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(14), particles%class,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 16 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(15), particles%group,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 17 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(16),                    &
 !                             particles%id2,                                 &
@@ -2712,10 +2636,10 @@
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 18 )
-! 
+!
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(17), particles%id1,     &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
 !     CALL netcdf_handle_error( 'lpm_data_output_particles', 19 )
-! 
+!
 #endif
 
@@ -2723,12 +2647,12 @@
 
  END SUBROUTINE lpm_data_output_particles
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine calculates and provide particle timeseries output.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_data_output_ptseries
- 
+
     INTEGER(iwp) ::  i    !<
     INTEGER(iwp) ::  inum !<
@@ -2752,6 +2676,5 @@
 !
 !--    Update the particle time series time axis
-       nc_stat = NF90_PUT_VAR( id_set_pts, id_var_time_pts,      &
-                               (/ time_since_reference_point /), &
+       nc_stat = NF90_PUT_VAR( id_set_pts, id_var_time_pts, (/ time_since_reference_point /),      &
                                start = (/ dopts_time_count /), count = (/ 1 /) )
        CALL netcdf_handle_error( 'data_output_ptseries', 391 )
@@ -2760,5 +2683,5 @@
     ENDIF
 
-    ALLOCATE( pts_value(0:number_of_particle_groups,dopts_num), &
+    ALLOCATE( pts_value(0:number_of_particle_groups,dopts_num),                                    &
               pts_value_l(0:number_of_particle_groups,dopts_num) )
 
@@ -2767,6 +2690,6 @@
 
 !
-!-- Calculate or collect the particle time series quantities for all particles
-!-- and seperately for each particle group (if there is more than one group)
+!-- Calculate or collect the particle time series quantities for all particles and seperately for
+!-- each particle group (if there is more than one group)
     DO  i = nxl, nxr
        DO  j = nys, nyn
@@ -2779,27 +2702,25 @@
                 IF ( particles(n)%particle_mask )  THEN  ! Restrict analysis to active particles
 
-                   pts_value_l(0,1)  = pts_value_l(0,1) + 1.0_wp  ! total # of particles
-                   pts_value_l(0,2)  = pts_value_l(0,2) +                      &
-                          ( particles(n)%x - particles(n)%origin_x )  ! mean x
-                   pts_value_l(0,3)  = pts_value_l(0,3) +                      &
-                          ( particles(n)%y - particles(n)%origin_y )  ! mean y
-                   pts_value_l(0,4)  = pts_value_l(0,4) +                      &
-                          ( particles(n)%z - particles(n)%origin_z )  ! mean z
-                   pts_value_l(0,5)  = pts_value_l(0,5) + particles(n)%z        ! mean z (absolute)
-                   pts_value_l(0,6)  = pts_value_l(0,6) + particles(n)%speed_x  ! mean u
-                   pts_value_l(0,7)  = pts_value_l(0,7) + particles(n)%speed_y  ! mean v
-                   pts_value_l(0,8)  = pts_value_l(0,8) + particles(n)%speed_z  ! mean w
-                   pts_value_l(0,9)  = pts_value_l(0,9)  + particles(n)%rvar1 ! mean sgsu
-                   pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2 ! mean sgsv
-                   pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3 ! mean sgsw
+                   pts_value_l(0,1)  = pts_value_l(0,1) + 1.0_wp                   ! total # of particles
+                   pts_value_l(0,2)  = pts_value_l(0,2) +                                          &
+                                       ( particles(n)%x - particles(n)%origin_x )  ! mean x
+                   pts_value_l(0,3)  = pts_value_l(0,3) +                                          &
+                                       ( particles(n)%y - particles(n)%origin_y )  ! mean y
+                   pts_value_l(0,4)  = pts_value_l(0,4) +                                          &
+                                       ( particles(n)%z - particles(n)%origin_z )  ! mean z
+                   pts_value_l(0,5)  = pts_value_l(0,5) + particles(n)%z           ! mean z (absolute)
+                   pts_value_l(0,6)  = pts_value_l(0,6) + particles(n)%speed_x     ! mean u
+                   pts_value_l(0,7)  = pts_value_l(0,7) + particles(n)%speed_y     ! mean v
+                   pts_value_l(0,8)  = pts_value_l(0,8) + particles(n)%speed_z     ! mean w
+                   pts_value_l(0,9)  = pts_value_l(0,9)  + particles(n)%rvar1      ! mean sgsu
+                   pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2      ! mean sgsv
+                   pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3      ! mean sgsw
                    IF ( particles(n)%speed_z > 0.0_wp )  THEN
-                      pts_value_l(0,12) = pts_value_l(0,12) + 1.0_wp  ! # of upward moving prts
-                      pts_value_l(0,13) = pts_value_l(0,13) +                  &
-                                              particles(n)%speed_z ! mean w upw.
+                      pts_value_l(0,12) = pts_value_l(0,12) + 1.0_wp                ! # of upward moving prts
+                      pts_value_l(0,13) = pts_value_l(0,13) +  particles(n)%speed_z ! mean w upw.
                    ELSE
-                      pts_value_l(0,14) = pts_value_l(0,14) +                  &
-                                              particles(n)%speed_z ! mean w down
+                      pts_value_l(0,14) = pts_value_l(0,14) + particles(n)%speed_z  ! mean w down
                    ENDIF
-                   pts_value_l(0,15) = pts_value_l(0,15) + particles(n)%radius ! mean rad
+                   pts_value_l(0,15) = pts_value_l(0,15) + particles(n)%radius       ! mean rad
                    pts_value_l(0,16) = MIN( pts_value_l(0,16), particles(n)%radius ) ! minrad
                    pts_value_l(0,17) = MAX( pts_value_l(0,17), particles(n)%radius ) ! maxrad
@@ -2812,10 +2733,10 @@
 
                       pts_value_l(jg,1)  = pts_value_l(jg,1) + 1.0_wp
-                      pts_value_l(jg,2)  = pts_value_l(jg,2) +                   &
-                           ( particles(n)%x - particles(n)%origin_x )
-                      pts_value_l(jg,3)  = pts_value_l(jg,3) +                   &
-                           ( particles(n)%y - particles(n)%origin_y )
-                      pts_value_l(jg,4)  = pts_value_l(jg,4) +                   &
-                           ( particles(n)%z - particles(n)%origin_z )
+                      pts_value_l(jg,2)  = pts_value_l(jg,2) +                                     &
+                                           ( particles(n)%x  - particles(n)%origin_x )
+                      pts_value_l(jg,3)  = pts_value_l(jg,3) +                                     &
+                                           ( particles(n)%y  - particles(n)%origin_y )
+                      pts_value_l(jg,4)  = pts_value_l(jg,4) +                                     &
+                                           ( particles(n)%z  - particles(n)%origin_z )
                       pts_value_l(jg,5)  = pts_value_l(jg,5) + particles(n)%z
                       pts_value_l(jg,6)  = pts_value_l(jg,6) + particles(n)%speed_x
@@ -2853,18 +2774,13 @@
 
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,1), pts_value(0,1), 15*inum, MPI_REAL, &
-                        MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,1), pts_value(0,1), 15*inum, MPI_REAL, MPI_SUM, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,16), pts_value(0,16), inum, MPI_REAL, &
-                        MPI_MIN, comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,16), pts_value(0,16), inum, MPI_REAL, MPI_MIN, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,17), pts_value(0,17), inum, MPI_REAL, &
-                        MPI_MAX, comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,17), pts_value(0,17), inum, MPI_REAL, MPI_MAX, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,18), pts_value(0,18), inum, MPI_REAL, &
-                        MPI_MAX, comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,18), pts_value(0,18), inum, MPI_REAL, MPI_MAX, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,19), pts_value(0,19), inum, MPI_REAL, &
-                        MPI_MIN, comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,19), pts_value(0,19), inum, MPI_REAL, MPI_MIN, comm2d, ierr )
 #else
     pts_value(:,1:19) = pts_value_l(:,1:19)
@@ -2872,6 +2788,6 @@
 
 !
-!-- Normalize the above calculated quantities (except min/max values) with the
-!-- total number of particles
+!-- Normalize the above calculated quantities (except min/max values) with the total number of
+!-- particles
     IF ( number_of_particle_groups > 1 )  THEN
        inum = number_of_particle_groups
@@ -2899,6 +2815,6 @@
 
 !
-!-- Calculate higher order moments of particle time series quantities,
-!-- seperately for each particle group (if there is more than one group)
+!-- Calculate higher order moments of particle time series quantities, seperately for each particle
+!-- group (if there is more than one group)
     DO  i = nxl, nxr
        DO  j = nys, nyn
@@ -2909,21 +2825,21 @@
              DO  n = 1, number_of_particles
 
-                pts_value_l(0,20) = pts_value_l(0,20) + ( particles(n)%x - &
-                                    particles(n)%origin_x - pts_value(0,2) )**2 ! x*2
-                pts_value_l(0,21) = pts_value_l(0,21) + ( particles(n)%y - &
-                                    particles(n)%origin_y - pts_value(0,3) )**2 ! y*2
-                pts_value_l(0,22) = pts_value_l(0,22) + ( particles(n)%z - &
-                                    particles(n)%origin_z - pts_value(0,4) )**2 ! z*2
-                pts_value_l(0,23) = pts_value_l(0,23) + ( particles(n)%speed_x - &
-                                                         pts_value(0,6) )**2   ! u*2
-                pts_value_l(0,24) = pts_value_l(0,24) + ( particles(n)%speed_y - &
-                                                          pts_value(0,7) )**2   ! v*2
-                pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%speed_z - &
-                                                          pts_value(0,8) )**2   ! w*2
-                pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar1 - &
-                                                          pts_value(0,9) )**2   ! u"2
-                pts_value_l(0,27) = pts_value_l(0,27) + ( particles(n)%rvar2 - &
-                                                          pts_value(0,10) )**2  ! v"2
-                pts_value_l(0,28) = pts_value_l(0,28) + ( particles(n)%rvar3 - &
+                pts_value_l(0,20) = pts_value_l(0,20) + ( particles(n)%x -                         &
+                                       particles(n)%origin_x - pts_value(0,2) )**2 ! x*2
+                pts_value_l(0,21) = pts_value_l(0,21) + ( particles(n)%y -                         &
+                                       particles(n)%origin_y - pts_value(0,3) )**2 ! y*2
+                pts_value_l(0,22) = pts_value_l(0,22) + ( particles(n)%z -                         &
+                                       particles(n)%origin_z - pts_value(0,4) )**2 ! z*2
+                pts_value_l(0,23) = pts_value_l(0,23) + ( particles(n)%speed_x -                   &
+                                                          pts_value(0,6) )**2      ! u*2
+                pts_value_l(0,24) = pts_value_l(0,24) + ( particles(n)%speed_y -                   &
+                                                          pts_value(0,7) )**2      ! v*2
+                pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%speed_z -                   &
+                                                          pts_value(0,8) )**2      ! w*2
+                pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar1 -                     &
+                                                          pts_value(0,9) )**2      ! u"2
+                pts_value_l(0,27) = pts_value_l(0,27) + ( particles(n)%rvar2 -                     &
+                                                          pts_value(0,10) )**2     ! v"2
+                pts_value_l(0,28) = pts_value_l(0,28) + ( particles(n)%rvar3 -                     &
                                                           pts_value(0,11) )**2  ! w"2
 !
@@ -2932,22 +2848,22 @@
                    jg = particles(n)%group
 
-                   pts_value_l(jg,20) = pts_value_l(jg,20) + ( particles(n)%x - &
-                                       particles(n)%origin_x - pts_value(jg,2) )**2
-                   pts_value_l(jg,21) = pts_value_l(jg,21) + ( particles(n)%y - &
-                                       particles(n)%origin_y - pts_value(jg,3) )**2
-                   pts_value_l(jg,22) = pts_value_l(jg,22) + ( particles(n)%z - &
-                                       particles(n)%origin_z - pts_value(jg,4) )**2
-                   pts_value_l(jg,23) = pts_value_l(jg,23) + ( particles(n)%speed_x - &
-                                                             pts_value(jg,6) )**2
-                   pts_value_l(jg,24) = pts_value_l(jg,24) + ( particles(n)%speed_y - &
-                                                             pts_value(jg,7) )**2
-                   pts_value_l(jg,25) = pts_value_l(jg,25) + ( particles(n)%speed_z - &
-                                                             pts_value(jg,8) )**2
-                   pts_value_l(jg,26) = pts_value_l(jg,26) + ( particles(n)%rvar1 - &
-                                                             pts_value(jg,9) )**2
-                   pts_value_l(jg,27) = pts_value_l(jg,27) + ( particles(n)%rvar2 - &
-                                                             pts_value(jg,10) )**2
-                   pts_value_l(jg,28) = pts_value_l(jg,28) + ( particles(n)%rvar3 - &
-                                                             pts_value(jg,11) )**2
+                   pts_value_l(jg,20) = pts_value_l(jg,20) + ( particles(n)%x -                    &
+                                           particles(n)%origin_x - pts_value(jg,2) )**2
+                   pts_value_l(jg,21) = pts_value_l(jg,21) + ( particles(n)%y -                    &
+                                           particles(n)%origin_y - pts_value(jg,3) )**2
+                   pts_value_l(jg,22) = pts_value_l(jg,22) + ( particles(n)%z -                    &
+                                           particles(n)%origin_z - pts_value(jg,4) )**2
+                   pts_value_l(jg,23) = pts_value_l(jg,23) + ( particles(n)%speed_x -              &
+                                                               pts_value(jg,6) )**2
+                   pts_value_l(jg,24) = pts_value_l(jg,24) + ( particles(n)%speed_y -              &
+                                                               pts_value(jg,7) )**2
+                   pts_value_l(jg,25) = pts_value_l(jg,25) + ( particles(n)%speed_z -              &
+                                                               pts_value(jg,8) )**2
+                   pts_value_l(jg,26) = pts_value_l(jg,26) + ( particles(n)%rvar1 -                &
+                                                               pts_value(jg,9) )**2
+                   pts_value_l(jg,27) = pts_value_l(jg,27) + ( particles(n)%rvar2 -                &
+                                                               pts_value(jg,10) )**2
+                   pts_value_l(jg,28) = pts_value_l(jg,28) + ( particles(n)%rvar3 -                &
+                                                               pts_value(jg,11) )**2
                 ENDIF
 
@@ -2961,6 +2877,5 @@
     IF ( number_of_particle_groups > 1 )  THEN
        DO  j = 1, number_of_particle_groups
-          pts_value_l(j,29) = ( pts_value_l(j,1) - &
-                                pts_value(j,1) / numprocs )**2
+          pts_value_l(j,29) = ( pts_value_l(j,1) - pts_value(j,1) / numprocs )**2
        ENDDO
     ENDIF
@@ -2972,6 +2887,6 @@
 
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,20), pts_value(0,20), inum*10, MPI_REAL, &
-                        MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( pts_value_l(0,20), pts_value(0,20), inum*10, MPI_REAL, MPI_SUM, comm2d,    &
+                        ierr )
 #else
     pts_value(:,20:29) = pts_value_l(:,20:29)
@@ -2979,6 +2894,5 @@
 
 !
-!-- Normalize the above calculated quantities with the total number of
-!-- particles
+!-- Normalize the above calculated quantities with the total number of particles
     IF ( number_of_particle_groups > 1 )  THEN
        inum = number_of_particle_groups
@@ -3002,7 +2916,7 @@
        DO  j = 0, inum
           DO  i = 1, dopts_num
-             nc_stat = NF90_PUT_VAR( id_set_pts, id_var_dopts(i,j),  &
-                                     (/ pts_value(j,i) /),           &
-                                     start = (/ dopts_time_count /), &
+             nc_stat = NF90_PUT_VAR( id_set_pts, id_var_dopts(i,j),                                &
+                                     (/ pts_value(j,i) /),                                         &
+                                     start = (/ dopts_time_count /),                               &
                                      count = (/ 1 /) )
              CALL netcdf_handle_error( 'data_output_ptseries', 392 )
@@ -3018,10 +2932,10 @@
 END SUBROUTINE lpm_data_output_ptseries
 
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine reads the respective restart data for the lpm.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_rrd_local_particles
 
@@ -3048,9 +2962,7 @@
 !--    First open the input unit.
        IF ( myid_char == '' )  THEN
-          OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN'//myid_char,                  &
-                     FORM='UNFORMATTED' )
+          OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN'//myid_char, FORM='UNFORMATTED' )
        ELSE
-          OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN/'//myid_char,                 &
-                     FORM='UNFORMATTED' )
+          OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN/'//myid_char, FORM='UNFORMATTED' )
        ENDIF
 
@@ -3060,8 +2972,8 @@
        particle_binary_version = '4.0'
        IF ( TRIM( version_on_file ) /= TRIM( particle_binary_version ) )  THEN
-          message_string = 'version mismatch concerning data from prior ' //      &
-                           'run &version on file = "' //                          &
-                                         TRIM( version_on_file ) //               &
-                           '&version in program = "' //                           &
+          message_string = 'version mismatch concerning data from prior ' //                       &
+                           'run &version on file = "' //                                           &
+                                         TRIM( version_on_file ) //                                &
+                           '&version in program = "' //                                            &
                                          TRIM( particle_binary_version ) // '"'
           CALL message( 'lpm_read_restart_file', 'PA0214', 1, 2, 0, 6, 0 )
